< prev index next >

make/linux/Makefile

Print this page
@  rev 7387 : 8074312: Enable hotspot builds on 4.x Linux kernels
|  Summary: Add "4" to list of allowable versions
|  Reviewed-by: dholmes, mikael
   1 #
   2 # Copyright (c) 1999, 2013, Oracle and/or its affiliates. All rights reserved.
   3 # DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
   4 #
   5 # This code is free software; you can redistribute it and/or modify it
   6 # under the terms of the GNU General Public License version 2 only, as
   7 # published by the Free Software Foundation.
   8 #
   9 # This code is distributed in the hope that it will be useful, but WITHOUT
  10 # ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  11 # FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
  12 # version 2 for more details (a copy is included in the LICENSE file that
  13 # accompanied this code).
  14 #
  15 # You should have received a copy of the GNU General Public License version
  16 # 2 along with this work; if not, write to the Free Software Foundation,
  17 # Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
  18 #
  19 # Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
  20 # or visit www.oracle.com if you need additional information or have any
  21 # questions.
  22 #


 212 BUILDTREE         = $(MAKE) -f $(BUILDTREE_MAKE) $(BUILDTREE_VARS)
 213 
 214 #-------------------------------------------------------------------------------
 215 
 216 # Could make everything by default, but that would take a while.
 217 all:
 218         @echo "Try '$(MAKE) <target> ...'  where <target> is one or more of"
 219         @echo "  $(TARGETS_C2)"
 220         @echo "  $(TARGETS_C1)"
 221         @echo "  $(TARGETS_CORE)"
 222         @echo "  $(TARGETS_ZERO)"
 223         @echo "  $(TARGETS_SHARK)"
 224         @echo "  $(TARGETS_MINIMAL1)"
 225 
 226 checks: check_os_version check_j2se_version
 227 
 228 # We do not want people accidentally building on old systems (e.g. Linux 2.2.x,
 229 # Solaris 2.5.1, 2.6).
 230 # Disable this check by setting DISABLE_HOTSPOT_OS_VERSION_CHECK=ok.
 231 
 232 SUPPORTED_OS_VERSION = 2.4% 2.5% 2.6% 3%
 233 OS_VERSION := $(shell uname -r)
 234 EMPTY_IF_NOT_SUPPORTED = $(filter $(SUPPORTED_OS_VERSION),$(OS_VERSION))
 235 
 236 check_os_version:
 237 ifeq ($(DISABLE_HOTSPOT_OS_VERSION_CHECK)$(EMPTY_IF_NOT_SUPPORTED),)
 238         $(QUIETLY) >&2 echo "*** This OS is not supported:" `uname -a`; exit 1;
 239 endif
 240 
 241 # jvmti.make requires XSLT (J2SE 1.4.x or newer):
 242 XSLT_CHECK      = $(REMOTE) $(RUN.JAVAP) javax.xml.transform.TransformerFactory
 243 # If not found then fail fast.
 244 check_j2se_version:
 245         $(QUIETLY) $(XSLT_CHECK) > /dev/null 2>&1; \
 246         if [ $$? -ne 0 ]; then \
 247           $(REMOTE) $(RUN.JAVA) -version; \
 248           echo "*** An XSLT processor (J2SE 1.4.x or newer) is required" \
 249           "to bootstrap this build" 1>&2; \
 250           exit 1; \
 251         fi
 252 


   1 #
   2 # Copyright (c) 1999, 2015, Oracle and/or its affiliates. All rights reserved.
   3 # DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
   4 #
   5 # This code is free software; you can redistribute it and/or modify it
   6 # under the terms of the GNU General Public License version 2 only, as
   7 # published by the Free Software Foundation.
   8 #
   9 # This code is distributed in the hope that it will be useful, but WITHOUT
  10 # ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  11 # FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
  12 # version 2 for more details (a copy is included in the LICENSE file that
  13 # accompanied this code).
  14 #
  15 # You should have received a copy of the GNU General Public License version
  16 # 2 along with this work; if not, write to the Free Software Foundation,
  17 # Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
  18 #
  19 # Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
  20 # or visit www.oracle.com if you need additional information or have any
  21 # questions.
  22 #


 212 BUILDTREE         = $(MAKE) -f $(BUILDTREE_MAKE) $(BUILDTREE_VARS)
 213 
 214 #-------------------------------------------------------------------------------
 215 
 216 # Could make everything by default, but that would take a while.
 217 all:
 218         @echo "Try '$(MAKE) <target> ...'  where <target> is one or more of"
 219         @echo "  $(TARGETS_C2)"
 220         @echo "  $(TARGETS_C1)"
 221         @echo "  $(TARGETS_CORE)"
 222         @echo "  $(TARGETS_ZERO)"
 223         @echo "  $(TARGETS_SHARK)"
 224         @echo "  $(TARGETS_MINIMAL1)"
 225 
 226 checks: check_os_version check_j2se_version
 227 
 228 # We do not want people accidentally building on old systems (e.g. Linux 2.2.x,
 229 # Solaris 2.5.1, 2.6).
 230 # Disable this check by setting DISABLE_HOTSPOT_OS_VERSION_CHECK=ok.
 231 
 232 SUPPORTED_OS_VERSION = 2.4% 2.5% 2.6% 3% 4%
 233 OS_VERSION := $(shell uname -r)
 234 EMPTY_IF_NOT_SUPPORTED = $(filter $(SUPPORTED_OS_VERSION),$(OS_VERSION))
 235 
 236 check_os_version:
 237 ifeq ($(DISABLE_HOTSPOT_OS_VERSION_CHECK)$(EMPTY_IF_NOT_SUPPORTED),)
 238         $(QUIETLY) >&2 echo "*** This OS is not supported:" `uname -a`; exit 1;
 239 endif
 240 
 241 # jvmti.make requires XSLT (J2SE 1.4.x or newer):
 242 XSLT_CHECK      = $(REMOTE) $(RUN.JAVAP) javax.xml.transform.TransformerFactory
 243 # If not found then fail fast.
 244 check_j2se_version:
 245         $(QUIETLY) $(XSLT_CHECK) > /dev/null 2>&1; \
 246         if [ $$? -ne 0 ]; then \
 247           $(REMOTE) $(RUN.JAVA) -version; \
 248           echo "*** An XSLT processor (J2SE 1.4.x or newer) is required" \
 249           "to bootstrap this build" 1>&2; \
 250           exit 1; \
 251         fi
 252 


< prev index next >